Bug 1525025 - Timer doesn't fire if minimized or on another desktop workspace
Summary: Timer doesn't fire if minimized or on another desktop workspace
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-clocks
Version: 28
Hardware: x86_64
OS: Linux
low
low
Target Milestone: ---
Assignee: Yanko Kaneti
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-12 13:28 UTC by luigi votta
Modified: 2018-11-12 08:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-12 08:36:28 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 791535 None None None 2017-12-12 19:02:21 UTC

Description luigi votta 2017-12-12 13:28:02 UTC
Description of problem:
If the clocks is shifted in another workspace, e.g. in below, the timer's timeout doesn't alarm, but after switching to that workspace, at time already expired. 

Version-Release number of selected component (if applicable):
3.26.1


How reproducible:
Always

Steps to Reproduce:
1. Set timer to 1 min
2. Shift clock to below workspace
3. After one minute no alarm (time exipred). 
4. Switch to the worksapce, and you hear the alarm

Actual results:
No timeout alarm

Expected results:
Time out alarm even if clock is in another wprkspace

Additional info:

Comment 1 Yanko Kaneti 2017-12-12 13:35:54 UTC
I can't reproduce this. Clocks (gnome-clocks-3.26.1-1.fc28.x86_64) just moved to another workspace still triggers the notification and the audible alarm in the current workspace.

Are you under wayland or X11 ? Can you try with the other one ?

Comment 2 luigi votta 2017-12-12 13:41:27 UTC
I suppose to be in wayland. I'll try!

Comment 3 luigi votta 2017-12-12 13:46:41 UTC
Just now, to be sure, repeated the problem. Setted 1 min on timer, launched, and moved it to below workspace. Waited three min, no alarm. Switched to below workspace and alarm triggered.

Comment 4 luigi votta 2017-12-12 14:01:45 UTC
Another try: Opened the clock in a below workspace, launched after 1 min time-out setting. Switched focus to high workspace, no alarm triggered after expire. Switched again to below, and alarm was triggerd.

Comment 5 Yanko Kaneti 2017-12-12 14:10:18 UTC
Sorry, my mistake, I mixed up Timer and Alarm. Reproduced with timer.
I'll try to chase this down.

Comment 6 luigi votta 2017-12-12 14:49:28 UTC
Many thanks!
Otherwise my pasta lunch overcooks! :-D

Comment 7 Yanko Kaneti 2017-12-12 19:02:21 UTC
Filed an upstream bug with a proposed fix

Comment 8 Fedora End Of Life 2018-02-20 15:22:55 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 9 Yanko Kaneti 2018-11-12 08:36:28 UTC
FWIW an upstream fix for this landed in the clocks master branch released as 3.31.1, and currently built for rawhide. I don't think the fix will be coming for the older stable releases.


Note You need to log in before you can comment on or make changes to this bug.